/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


console.log("add event");

document.addEventListener("DOMContentLoaded", draw, false); // appel au chargement de la page
 

/**
 * Dessine avec l'API canvas
 * @return {[type]} [description]
 */
function draw()
{

	var oCanvas = document.getElementById("nameCanvas");  
	var oContexte = oCanvas.getContext("2d");// récupère le contexte de l'objet "dessin"  
	
	// création d'une ombre sur les éléments
  	oContexte.shadowOffsetX = 3;   
	oContexte.shadowOffsetY = 3;   
	oContexte.shadowBlur = 2;  
	oContexte.shadowColor = "#01DFD7"; 

	oContexte.scale(2, 2);  // effectue un agrandissement du dessin

	oContexte.lineWidth = 2;// épaisseur de la ligne 

	// création d'un rectangle avec les bords arrondis
	oContexte.moveTo(20, 30); 
	oContexte.lineTo(20, 60); 
	oContexte.quadraticCurveTo(20, 70, 30, 70); 
	oContexte.lineTo(110, 70); 
	oContexte.quadraticCurveTo(120, 70, 120, 60); 
	oContexte.lineTo(120, 30); 
	oContexte.quadraticCurveTo(120, 20, 110, 20); 
	oContexte.lineTo(30, 20); 
	oContexte.quadraticCurveTo(20, 20, 20, 30); 
	oContexte.stroke();


	// création d'une ombre sur les éléments
	oContexte.shadowOffsetX = 2;   
	oContexte.shadowOffsetY = 2;   
	oContexte.shadowBlur = 3;  
	oContexte.shadowColor = "#B404AE";   

  	oContexte.rotate(Math.PI / 13);  // rotation d'origine
  	oContexte.scale(0.45, 0.45);  // effectue une réduction du dessin

 	oContexte.strokeStyle = "#0101DF"; // une couleur des contours
	oContexte.strokeRect(330, 30, 150, 150);// un rectangle

	oContexte.font = "28px Arial";// choix de la police et de sa taille
  	oContexte.strokeText("Bienvenue sur Développement Facile ;)", 169, 23);// écriture d'un texte


 
}


